
/*
 * @Description: 维护规则
 * @Author: Ben Lin
 * @version: 
 * @Date: 2024-09-11 00:14:59
 * @LastEditors: Ben Lin
 * @LastEditTime: 2024-09-11 19:32:35
 */
import { BizBasItemRuleInput, BizBasPkgRuleInput } from "../model/mesModel";
import { genAction } from "../system";
import { mesApi } from "./mesApi";
import { defHttp } from "/@/utils/http/axios";

/**
 * @description: 保存包装规则
 * @param {BizBasPkgRuleInput} params
 * @return {*}
 */
export const SaveBasPkgRule = async (params: BizBasPkgRuleInput) => {
  const data = await defHttp.post(
    { url: mesApi.SaveBasPkgRule, params: genAction('', params) },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
    },
  );
  return data;
};

/**
 * @description: 保存物料条码规则
 * @param {BizBasItemRuleInput} params
 * @return {*}
 */
export const SaveBasItemRule = async (params: BizBasItemRuleInput) => {
  const data = await defHttp.post(
    { url: mesApi.SaveBasItemRule, params: genAction('', params) },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
    },
  );
  return data;
};